> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List deployed contracts data

> Return a filtered lean representation of the deployed contracts data on all blockchains (paginated)



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /tokenization/contracts
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /tokenization/contracts:
    get:
      tags:
        - Deployed Contracts
      summary: List deployed contracts data
      description: >-
        Return a filtered lean representation of the deployed contracts data on
        all blockchains (paginated)
      operationId: getDeployedContracts
      parameters:
        - name: pageCursor
          required: false
          in: query
          description: Page cursor to get the next page
          example: MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==
          schema:
            type: string
        - name: pageSize
          required: false
          in: query
          description: >-
            Number of items per page, requesting more then max will return max
            items
          example: 10
          schema:
            minimum: 1
            maximum: 100
            type: number
        - name: contractAddress
          required: false
          in: query
          description: The contract's onchain address
          example: '0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66'
          schema:
            type: string
        - name: baseAssetId
          required: false
          in: query
          schema:
            type: string
        - name: contractTemplateId
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Deployed contracts fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeployedContractsPaginatedResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<DeployedContractsPaginatedResponse>> =
            fireblocks.deployedContracts.getDeployedContracts(deployedContractsApiGetDeployedContractsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<DeployedContractsPaginatedResponse>>
            response =
            fireblocks.deployedContracts().getDeployedContracts(pageCursor,
            pageSize, contractAddress, baseAssetId, contractTemplateId);
        - lang: Python
          source: >-
            response =
            fireblocks.deployed_contracts.get_deployed_contracts(page_cursor,
            page_size, contract_address, base_asset_id, contract_template_id);
components:
  schemas:
    DeployedContractsPaginatedResponse:
      type: object
      properties:
        data:
          type: array
          description: The data of the current page
          items:
            $ref: '#/components/schemas/LeanDeployedContractResponseDto'
        next:
          type: string
          description: The ID of the next page
          example: eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9
          nullable: true
      required:
        - data
    LeanDeployedContractResponseDto:
      type: object
      properties:
        id:
          type: string
          description: The deployed contract data identifier
          example: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
        contractAddress:
          type: string
          description: The contract's onchain address
          example: '0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66'
        contractTemplateId:
          type: string
          description: The contract template identifier
          example: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
        blockchainId:
          type: string
      required:
        - id
        - contractAddress
        - contractTemplateId
        - blockchainId
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````